CVE-2023-47104

CVSS 3.1 Score 9.8 of 10 (high)

Details

Published Oct 30, 2023
Updated: Nov 7, 2023
CWE ID 78

Summary

CVE-2023-47104, also known as tinyfiledialogs, is a cyber vulnerability that affects versions before 3.15.0. It allows for the presence of shell metacharacters in titles, messages, and other input data. This vulnerability exists due to an incomplete fix for CVE-2020-36767, which only addressed single and double quote characters. The risk score for this vulnerability is 65, indicating a critical level of severity. The base score is 9.8 out of 10, highlighting the potential danger it poses to organizations. It requires no privileges and does not require user interaction to be exploited. The attack vector is through the network, and it has a high impact on both integrity and confidentiality. Organizations should update to version 3.15.0 or newer to remediate this vulnerability and prevent potential exploitation through OS command injection attacks.

Explore Beyond the CVE Basics with Recorded Future's Vulnerability Intelligence

Note: This is just a basic overview providing quick insights into CVE-2023-47104 information. Gain full access to comprehensive CVE data, risk scores, prioritization, and mitigation data through Recorded Future's Vulnerability Intelligence:
  • Prioritize with Risk-Based Scoring
  • Explore the Extensive Vulnerability Database
  • Receive Early Alerts on Emerging CVEs
  • Focus on Critical Exploitable Vulnerabilities
  • Streamline Remediation with Integration Options